using System.Numerics;

namespace Luski.Classes.Attribs.NumberSlider;

[AttributeUsage(AttributeTargets.Property)]
public class NumberMax<TNumber> : Attribute where TNumber : INumber<TNumber>
{
    public NumberMax(TNumber max)
    {
        Max = max;
    }
    
    public TNumber Max { get; init; }
}